import React from 'react';
import Svg,{ G, Path,Ellipse,Circle} from 'react-native-svg';

export default class ProfileEditIcon extends React.Component {
    render() {
        return (
            <Svg height="20" width="20" viewBox="0 0 64 64">
                <Path fill='#b7c4cb' d="M43.2,3.6L6.4,40.5c-4.2,4.2-7.8,20.8-5.7,22.9c2.2,2.2,18.7-1.5,22.9-5.7l36.9-36.9
				c4.7-4.7,4.7-12.4,0-17.2C55.7-1.2,48-1.2,43.2,3.6L43.2,3.6z M10.5,42l29.9-29.9l4.4,4.4l-29,29l-1.1-1.1
				c-1.2-1.2-2.7-1.9-4.3-2.3C10.4,42.1,10.4,42.1,10.5,42L10.5,42z M4.2,59.8c-0.9-0.9,1.4-9,3.9-14.2c1.8,0.5,3.5,1.3,5,2.7
				l1.7,1.6c1.8,1.7,2.8,3.9,3.1,6.1C12.7,58.6,5.1,60.7,4.2,59.8L4.2,59.8z M22,53.6c-0.2,0.2-0.4,0.3-0.6,0.5c-0.1-2-1-4-2.6-5.5
				l-0.3-0.2l29-29l4.3,4.3L22,53.6L22,53.6z M57.6,17.9l-2.9,2.9L43.2,9.3l2.9-2.9c3.2-3.2,8.3-3.2,11.5,0
				C60.8,9.6,60.8,14.7,57.6,17.9L57.6,17.9z"/>
            </Svg>
        );
    }
}